package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;
import net.pricefx.common.api.PriceFxInterface;

/**
 * Builder class for input type ProductGroup and CustomerGroup
 * ({@link InputType#PRODUCTGROUP} and {@link InputType#CUSTOMERGROUP}).
 */
public class PCGroupInputBuilder extends AbstractProductAndCustomerInputBuilder<PCGroupInputBuilder,String> {

    public PCGroupInputBuilder(InputBuilderContext builderContext, InputType type, String paramName) {
        super(builderContext, type , paramName);
    }

    public PCGroupInputBuilder setPaSearchable(Boolean paSearchable) {
        if(paSearchable != null && paSearchable.booleanValue()) {
            cp.addParameterConfigEntry(PriceFxInterface.FIELD_CONTEXTPARAM_CONFIG_PASEARCHABLE, true);
        }
        return this;
    }

}
