package net.pricefx.logic.core.config;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.deser.std.StdDeserializer;
import net.pricefx.logic.core.client.PartitionFactory;

import java.io.IOException;

public class PartitionDeserializer extends StdDeserializer<Partition> {
    private PartitionFactory partitionFactory;

    public PartitionDeserializer(PartitionFactory partitionFactory) {
        this(partitionFactory, null);
    }

    public PartitionDeserializer(PartitionFactory partitionFactory, Class<Partition> t) {
        super(t);
        this.partitionFactory = partitionFactory;
    }

    @Override
    public Partition deserialize(JsonParser p, DeserializationContext ctxt, Partition partition) {
        return partition;
    }

    @Override
    public Partition deserialize(JsonParser p, DeserializationContext ctxt) throws IOException {
        return deserialize(p, ctxt, partitionFactory.createPartition("", p.getCurrentName(), ctxt.readValue(p, String.class)));
    }
}
