package net.pricefx.logic.core.model;

/**
 * Formula element combination type enum.
 */
public enum ElementCombinationType {

	// Groovy element. Icon "f(x)" in GUI.
	FUNCTION("groovy"),

	// Additional calculated element. Icon "star *" in GUI.
	INFO("formula"),

	// Icon "+" in GUI.
	ADD("add"),

	// Icon "-" in GUI.
	SUBTRACT("subtract"),

	// Icon "=" in GUI.
	RESULT("result"),

	// Icon "LEGO brick" in GUI.
	BRICK("brick"),

	PYTHON("py");

	private final String fileExtension;

	ElementCombinationType(String fileExtension) {
		this.fileExtension = fileExtension;
	}

	public String getFileExtension() {
		return this.fileExtension;
	}

	@Override
	public String toString() {
		return this.name();
	}
}
